Web lists-archives.com

Re: Composer segfault on multiple configurations




On 17/05/2017 20:17, Sky Diver wrote:
Running "composer install" with the following composer.json ends up in
a segmentation fault.

---------- START -----------
{
     "require": {
         "propel/propel": "~2.0@dev"
     },
     "config": {
         "optimize-autoloader": true
     }
}
---------- END -------------

(*) Note: when "optimize-autoloader" is set to false the error doesn't occur.
I think this may be to do with the 4096 error bug.

Composer will pull in the files and run them. One of them is:
vendor/propel/propel/src/Propel/Runtime/DataFetcher/PDODataFetcher.php

From you project directory, try running:
php vendor/propel/propel/src/Propel/Runtime/DataFetcher/PDODataFetcher.php

That probably will give you a segfault. I'm not sure if changing the
filesize will help, because composer probably will fetch a fresh copy of
the file.

I did provide a small patch a few weeks ago. That might help. You'd need
to recompile and install php though cygports to use it.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple